## coinor-csdp 6.0.1

=== example/Makefile ===
#
# Uncomment this line to specify the C compiler if the system default isn't
# what you want to use.  
#
#CC=cc
#
# Use this line to specify options for the C compiler.  You'll probably
# want to turn on optimizations. You may also have to use some of the 
# following flags:
#
#  -DCAPSBLAS         if BLAS routine names are capitalized.
#  -DCAPSLAPACK       if LAPACK routine names are capitalized.
#  -DNOUNDERBLAS      if BLAS routine names have no underscore.
#  -DNOUNDERLAPACK    if LAPACK routine names have no underscore.
#  -DBIT64            For I32LP64 systems.
#  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
#  -DUSEOPENMP        To turn on OpenMP parallelization
#  -DSETNUMTHREADS    To use with an OpenMP aware BLAS library.
#
# The default settings for gcc:
#
CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include 
#
# Notes on CFLAGS.
#
# 1. The -DNOSHORTS flag should always be used.  When this is turned off,
# it causes the code to use unsigned short integers (maximum value 65535)
# in the data structures that describe the problem.  This can cause problems
# when some of the size parameters are larger than 65535.  
#
# 2. By default, we assume that BLAS routines have names like ddot_(),
# but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
# effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
# -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
# 
# 3. The code can be built on 64 bit systems that use an I32LP64 model
# in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
# that is the model on all 64 bit Linux and Unix systems that I'm aware of,
# but it is not the model used by MS in its 64 bit Windows!  To build a 
# 64 bit version of the code, use -DBIT64.  You may also need to add a CFLAG
# to tell your compiler to produce 64 bit code.  For example, with gcc, 
# you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
#
# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
#    you should definitely build a parallel version of CSDP.  To do this,
#    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
#    use OpenMP's conventions for setting the number of threads to use, then
#    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
#    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
#    on Solaris with -lsunperf and AIX systems with -lesslsmp.

# 5. Using gcc, you can greatly improve the efficency of the code if you 
# specify your processor type.  Examples are given below, use the default 
# if you are unsure.  More examples may be found at 
#
#     http://gcc.gnu.org/onlinedocs/gcc/i386-and-x86_002d64-Options.html
#
# An AMD Athlon XP  based machine:
#  CFLAGS=-march=athlon-xp -O3 -ansi -Wall -DNOSHORTS  -I../include 
# An Intel Pentum 4 based amchine:
#  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS -I../include 
#
# 6. If you change the CFLAGS, make sure that you use the same CFLAGS
#    in the Makefiles in the solver and theta directories!
#
# The code depends on several libraries:
#
#  sdp                The CSDP subroutine library
#  lapack             The LAPACK linear algebra library
#  blas               The BLAS basic linear algebra library
#
# In addition, if you're using gcc to compile the C code, then you'll need:
#
#  g2c                The gnu C/Fortran 77 compatibility library
#  m                  The C math run time library.
#   
# Use this line to specify where the SDP and linear algebra libraries are
# to be found. 
#
# -L../lib            look in the ../lib directory
# -lsdp               get libsdp.a from the ../lib directory
# -llapack            get liblapack.a or liblapack.so 
# -lblas              get libblas.a or libblas.so
# -lg2c               get libg2c.a or libg2c.so
# -lm                 get libm.a or libm.so
#
# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
#
LIBS=-L../lib -lsdp -llapack -lblas -lg2c -lm
#
# 1. Warning about debian systems.  For some absurb reason, the BLAS
# package in debian has the BLAS library named libblas-3.a, rather than
# libblas.a.  You can either modify the LIBS= line, or you can create
# a symbolic link from /usr/lib/libblas.a to /usr/lib/libblas-3.a.   
#
# 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
#
# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lg2c -lm 
#
# 3. Special note on gcc 4.  In the gcc 4.x versions of gcc, -lg2c has
#    been replaced by -lgfortran.
#
# 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
#    OpenMP on a linux system.
#
# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lphtread -lgfortran -lm
#
#
# Target all builds everything.
#
all: example
#
# This builds the example code.
#
example: example.o 
	$(CC) $(CFLAGS) example.o $(LIBS) -o example
#
# To clean up the directory.
#
clean:
	rm -f *.o
	rm -f example
	rm -f prob.dat-s
	rm -f prob.sol

=== lib/Makefile ===
#
# Uncomment this line to specify the C compiler if the system default isn't
# what you want to use.  
#
#CC=cc
#
# Use this line to specify options for the C compiler.  You'll probably
# want to turn on optimizations. You may also have to use some of the 
# following flags:
#
#  -DCAPSBLAS         if BLAS routine names are capitalized.
#  -DCAPSLAPACK       if LAPACK routine names are capitalized.
#  -DNOUNDERBLAS      if BLAS routine names have no underscore.
#  -DNOUNDERLAPACK    if LAPACK routine names have no underscore.
#  -DBIT64            For I32LP64 systems.
#  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
#  -DUSEOPENMP        Build an OpenMP parallel version.
#  -DSETNUMTHREADS    Work with OpenMP aware BLAS.  
#
# The default settings for gcc:
#
CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include
#
# Notes on CFLAGS.
#
# 1. The -DNOSHORTS flag should always be used.  When this is turned off,
#    it causes the code to use unsigned short integers (maximum value 65535)
#    in the data structures that describe the problem.  This can cause problems
#    when some of the size parameters are larger than 65535.  
#
# 2. By default, we assume that BLAS routines have names like ddot_(),
#    but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
#    effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
#    -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
# 
# 3. The code can be built on 64 bit systems that use an I32LP64 model
#    in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
#    that is the model on all 64 bit Linux and Unix systems that I'm aware of,
#    but it is not the model used by MS in its 64 bit Windows!  To build a 
#    64 bit version of the code, use -DBIT64.  You may also need to add a CFLAG
#    to tell your compiler to produce 64 bit code.  For example, with gcc, 
#    you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
#
# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
#    you should definitely build a parallel version of CSDP.  To do this,
#    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
#    use OpenMP's conventions for setting the number of threads to use, then
#    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
#    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
#    on Solaris with -lsunperf and AIX systems with -lesslsmp.
#
#    You will also have to add appropriate CFLAGS to tell your compiler
#    to compile OpenMP code.  This varies from system to system.  However,
#    with gcc4.2, you can use 
#          
#      -static -fopenmp 
#
#    You may also have to add additional libraries when you link your 
#    OpenMP code.  For example, gcc 4.2 with OpenMP needs 
# 
#      -lgomp -lrt -lpthread
#    
# 5. Using gcc, you can greatly improve the efficency of the code if you 
#    specify your processor type.  Examples are given below, use the default 
#    if you are unsure.  More examples may be found at 
#
#     http://gcc.gnu.org/onlinedocs/gcc/i386-and-x86_002d64-Options.html
#
# An AMD Athlon XP  based machine:
#  CFLAGS=-march=athlon-xp -O3 -ansi -Wall -DNOSHORTS  -I../include
# An Intel Pentum 4 based machine:
#  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS  -I../include
#
# 5. If you change the CFLAGS, make sure that you use the same CFLAGS
#    in the Makefiles in the solver and theta directories!
#
#  Build the library.
#
libsdp.a: readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o  qreig.o tweakgap.o freeprob.o packed.o  sortentries.o
	ar cr libsdp.a  readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o qreig.o tweakgap.o freeprob.o packed.o sortentries.o
#
# On some systems, you might need to add after "ar cr libsdp.a ..."
#        ranlib libsdp.a
#
#
# To clean things up.
#
clean:
	rm -f *.o
	rm -f libsdp.a

=== solver/Makefile ===
#
# Uncomment this line to specify the C compiler if the system default isn't
# what you want to use.  
#
#CC=cc
#
# Use this line to specify options for the C compiler.  You'll probably
# want to turn on optimizations. You may also have to use some of the 
# following flags:
#
#  -DCAPSBLAS         if BLAS routine names are capitalized.
#  -DCAPSLAPACK       if LAPACK routine names are capitalized.
#  -DNOUNDERBLAS      if BLAS routine names have no underscore.
#  -DNOUNDERLAPACK    if LAPACK routine names have no underscore.
#  -DBIT64            For I32LP64 systems.
#  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
#  -DUSEOPENMP        To turn on OpenMP parallelization
#  -DSETNUMTHREADS    To use with an OpenMP aware BLAS library.
#
# The default settings for gcc:
#
CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include 
#
# Notes on CFLAGS.
#
# 1. The -DNOSHORTS flag should always be used.  When this is turned off,
# it causes the code to use unsigned short integers (maximum value 65535)
# in the data structures that describe the problem.  This can cause problems
# when some of the size parameters are larger than 65535.  
#
# 2. By default, we assume that BLAS routines have names like ddot_(),
# but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
# effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
# -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
# 
# 3. The code can be built on 64 bit systems that use an I32LP64 model
# in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
# that is the model on all 64 bit Linux and Unix systems that I'm aware of,
# but it is not the model used by MS in its 64 bit Windows!  To build a 
# 64 bit version of the code, use -DBIT64.  You may also need to add a CFLAG
# to tell your compiler to produce 64 bit code.  For example, with gcc, 
# you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
#
# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
#    you should definitely build a parallel version of CSDP.  To do this,
#    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
#    use OpenMP's conventions for setting the number of threads to use, then
#    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
#    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
#    on Solaris with -lsunperf and AIX systems with -lesslsmp.

# 5. Using gcc, you can greatly improve the efficency of the code if you 
# specify your processor type.  Examples are given below, use the default 
# if you are unsure.  More examples may be found at 
#
#     http://gcc.gnu.org/onlinedocs/gcc/i386-and-x86_002d64-Options.html
#
# An AMD Athlon XP  based machine:
#  CFLAGS=-march=athlon-xp -O3 -ansi -Wall -DNOSHORTS  -I../include 
# An Intel Pentum 4 based amchine:
#  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS -I../include 
#
# 6. If you change the CFLAGS, make sure that you use the same CFLAGS
#    in the Makefiles in the solver and theta directories!
#
# The code depends on several libraries:
#
#  sdp                The CSDP subroutine library
#  lapack             The LAPACK linear algebra library
#  blas               The BLAS basic linear algebra library
#
# In addition, if you're using gcc to compile the C code, then you'll need:
#
#  g2c                The gnu C/Fortran 77 compatibility library
#  m                  The C math run time library.
#   
# Use this line to specify where the SDP and linear algebra libraries are
# to be found. 
#
# -L../lib            look in the ../lib directory
# -lsdp               get libsdp.a from the ../lib directory
# -llapack            get liblapack.a or liblapack.so 
# -lblas              get libblas.a or libblas.so
# -lg2c               get libg2c.a or libg2c.so
# -lm                 get libm.a or libm.so
#
# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
#
LIBS=-L../lib -lsdp -llapack -lblas -lg2c -lm
#
# 1. Warning about debian systems.  For some absurb reason, the BLAS
# package in debian has the BLAS library named libblas-3.a, rather than
# libblas.a.  You can either modify the LIBS= line, or you can create
# a symbolic link from /usr/lib/libblas.a to /usr/lib/libblas-3.a.   
#
# 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
#
# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lg2c -lm 
#
# 3. Special note on gcc 4.  In the gcc 4.x versions of gcc, -lg2c has
#    been replaced by -lgfortran.
#
# 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
#    OpenMP on a linux system.
#
# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lphtread -lgfortran -lm
#
#
#  This builds the stand alone solver.
#
csdp: csdp.o 
	$(CC) csdp.o $(LIBS) -o csdp
#
# To clean out the directory:
#
clean:
	rm -f *.o
	rm -f csdp

## coinor-csdp 6.1.1

=== example/Makefile ===
--- 
+++ 
@@ -71,9 +71,10 @@
 #
 # In addition, if you're using gcc to compile the C code, then you'll need:
 #
-#  g2c                The gnu C/Fortran 77 compatibility library
+#  gfortran           The gnu C/Fortran 77 compatibility library
 #  m                  The C math run time library.
-#   
+#  
+#
 # Use this line to specify where the SDP and linear algebra libraries are
 # to be found. 
 #
@@ -81,12 +82,13 @@
 # -lsdp               get libsdp.a from the ../lib directory
 # -llapack            get liblapack.a or liblapack.so 
 # -lblas              get libblas.a or libblas.so
-# -lg2c               get libg2c.a or libg2c.so
+# -lgfortran          get libgfortran.a or libgfortran.so
 # -lm                 get libm.a or libm.so
 #
-# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
+# The default settings for a Linux system with gcc3, lapack, blas, and 
+# gfortran:
 #
-LIBS=-L../lib -lsdp -llapack -lblas -lg2c -lm
+LIBS=-L../lib -lsdp -llapack -lblas -lgfortran -lm
 #
 # 1. Warning about debian systems.  For some absurb reason, the BLAS
 # package in debian has the BLAS library named libblas-3.a, rather than
@@ -95,15 +97,15 @@
 #
 # 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lg2c -lm 
+# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lgfortran -lm 
 #
-# 3. Special note on gcc 4.  In the gcc 4.x versions of gcc, -lg2c has
-#    been replaced by -lgfortran.
+# 3. Special note on gcc 4.  For gcc versions before gcc 4.0, -lgfortran 
+#    should be replaced by -lg2c.
 #
 # 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
 #    OpenMP on a linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lphtread -lgfortran -lm
+# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lpthread -lgfortran -lm
 #
 #
 # Target all builds everything.

=== lib/Makefile ===
--- 
+++ 
@@ -16,10 +16,15 @@
 #  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
 #  -DUSEOPENMP        Build an OpenMP parallel version.
 #  -DSETNUMTHREADS    Work with OpenMP aware BLAS.  
+#  -DUSESIGTERM       Terminate nicely at the end of the next iteration
+#                     after receiving a SIGTERM signal
+#  -DUSEGETTIME       Use ANSI C gettime() routine to determine clock
+#                     time used in different parts of the code.
+#  -DUSEATLAS         Turns on some special code for use with the ATLAS BLAS.
 #
 # The default settings for gcc:
 #
-CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include
+CFLAGS=-O3 -ansi -Wall -DNOSHORTS -DUSEGETTIME -I../include
 #
 # Notes on CFLAGS.
 #
@@ -28,12 +33,16 @@
 #    in the data structures that describe the problem.  This can cause problems
 #    when some of the size parameters are larger than 65535.  
 #
-# 2. By default, we assume that BLAS routines have names like ddot_(),
+# 2. -DUSEGETTIME is generally useful.  However, this functionality isn't
+#    available under Windows/MSYS/MINGW, so you should remove it when compiling
+#    for that system.
+#
+# 3. By default, we assume that BLAS routines have names like ddot_(),
 #    but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
 #    effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
 #    -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
 # 
-# 3. The code can be built on 64 bit systems that use an I32LP64 model
+# 4. The code can be built on 64 bit systems that use an I32LP64 model
 #    in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
 #    that is the model on all 64 bit Linux and Unix systems that I'm aware of,
 #    but it is not the model used by MS in its 64 bit Windows!  To build a 
@@ -41,7 +50,7 @@
 #    to tell your compiler to produce 64 bit code.  For example, with gcc, 
 #    you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
 #
-# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
+# 5. If you have multiple CPU's, and if your compiler supports OpenMP, then
 #    you should definitely build a parallel version of CSDP.  To do this,
 #    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
 #    use OpenMP's conventions for setting the number of threads to use, then
@@ -60,7 +69,7 @@
 # 
 #      -lgomp -lrt -lpthread
 #    
-# 5. Using gcc, you can greatly improve the efficency of the code if you 
+# 6. Using gcc, you can greatly improve the efficency of the code if you 
 #    specify your processor type.  Examples are given below, use the default 
 #    if you are unsure.  More examples may be found at 
 #
@@ -71,7 +80,25 @@
 # An Intel Pentum 4 based machine:
 #  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS  -I../include
 #
-# 5. If you change the CFLAGS, make sure that you use the same CFLAGS
+# 7. The code can be built with Intel's icc C compiler and MKL BLAS/
+#    LAPACK libraries.  This has been tested with icc 11.0 and should 
+#    work with later versions as well.
+#
+#      CC=icc
+#      CFLAGS=-O3 -m64 -openmp -DBIT64 -DUSEOPENMP -DNOSHORTS -DSETNUMTHREADS
+#              -I../include
+#      LIBS=-openmp -L../lib -lsdp -mkl -lm
+#
+# 8. The can works particularly well with the ATLAS BLAS/LAPACK routines 
+#    when compiled with gcc. There are some important optimizations in the
+#    code that depend on the availability of routines within ATLAS, so use
+#    use -DUSEATLAS to turn these on.  e.g.  
+#
+#      CFLAGS=-O3  -fopenmp  -ansi -Wall -DUSEATLAS -DNOSHORTS -DBIT64 
+#             -DUSEOPENMP -I../include
+#
+#
+# 9. If you change the CFLAGS, make sure that you use the same CFLAGS
 #    in the Makefiles in the solver and theta directories!
 #
 #  Build the library.

=== solver/Makefile ===
--- 
+++ 
@@ -16,10 +16,12 @@
 #  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
 #  -DUSEOPENMP        To turn on OpenMP parallelization
 #  -DSETNUMTHREADS    To use with an OpenMP aware BLAS library.
+#  -DUSEGETTIME       Use ANSI C gettime() routine to determine clock
+#                     time used in different parts of the code.
 #
 # The default settings for gcc:
 #
-CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include 
+CFLAGS=-O3 -ansi -Wall -DNOSHORTS -DUSEGETTIME -I../include 
 #
 # Notes on CFLAGS.
 #
@@ -28,12 +30,16 @@
 # in the data structures that describe the problem.  This can cause problems
 # when some of the size parameters are larger than 65535.  
 #
-# 2. By default, we assume that BLAS routines have names like ddot_(),
+# 2. -DUSEGETTIME is generally useful.  However, this functionality isn't
+#    available under Windows/MSYS/MINGW, so you should remove it when compiling
+#    for that system.
+#
+# 3. By default, we assume that BLAS routines have names like ddot_(),
 # but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
 # effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
 # -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
 # 
-# 3. The code can be built on 64 bit systems that use an I32LP64 model
+# 4. The code can be built on 64 bit systems that use an I32LP64 model
 # in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
 # that is the model on all 64 bit Linux and Unix systems that I'm aware of,
 # but it is not the model used by MS in its 64 bit Windows!  To build a 
@@ -41,15 +47,15 @@
 # to tell your compiler to produce 64 bit code.  For example, with gcc, 
 # you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
 #
-# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
+# 5. If you have multiple CPU's, and if your compiler supports OpenMP, then
 #    you should definitely build a parallel version of CSDP.  To do this,
 #    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
 #    use OpenMP's conventions for setting the number of threads to use, then
 #    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
 #    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
 #    on Solaris with -lsunperf and AIX systems with -lesslsmp.
-
-# 5. Using gcc, you can greatly improve the efficency of the code if you 
+#
+# 6. Using gcc, you can greatly improve the efficency of the code if you 
 # specify your processor type.  Examples are given below, use the default 
 # if you are unsure.  More examples may be found at 
 #
@@ -60,7 +66,7 @@
 # An Intel Pentum 4 based amchine:
 #  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS -I../include 
 #
-# 6. If you change the CFLAGS, make sure that you use the same CFLAGS
+# 7. If you change the CFLAGS, make sure that you use the same CFLAGS
 #    in the Makefiles in the solver and theta directories!
 #
 # The code depends on several libraries:
@@ -71,7 +77,8 @@
 #
 # In addition, if you're using gcc to compile the C code, then you'll need:
 #
-#  g2c                The gnu C/Fortran 77 compatibility library
+#  gfortran           The gnu C/Fortran 77 compatibility library (called
+#                     g2c in versions of gcc before gcc 4.0.)
 #  m                  The C math run time library.
 #   
 # Use this line to specify where the SDP and linear algebra libraries are
@@ -81,12 +88,13 @@
 # -lsdp               get libsdp.a from the ../lib directory
 # -llapack            get liblapack.a or liblapack.so 
 # -lblas              get libblas.a or libblas.so
-# -lg2c               get libg2c.a or libg2c.so
+# -lgfortran          get libgfortran.a or libgfortran.so
 # -lm                 get libm.a or libm.so
 #
-# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
+# The default settings for a Linux system with gcc3, lapack, blas, and 
+# gfortran:
 #
-LIBS=-L../lib -lsdp -llapack -lblas -lg2c -lm
+LIBS=-L../lib -lsdp -llapack -lblas -lgfortran -lm
 #
 # 1. Warning about debian systems.  For some absurb reason, the BLAS
 # package in debian has the BLAS library named libblas-3.a, rather than
@@ -95,21 +103,27 @@
 #
 # 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lg2c -lm 
+# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lgfortran -lm 
 #
-# 3. Special note on gcc 4.  In the gcc 4.x versions of gcc, -lg2c has
-#    been replaced by -lgfortran.
+# 3. Special note on gcc 4.  In versions of gcc before gcc 4.0, use -lg2c 
+#    instead of -lgfortran.
 #
 # 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
 #    OpenMP on a linux system.
 #
-# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lphtread -lgfortran -lm
+# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lpthread -lgfortran -lm
 #
+# 5. An alternative set of flags for use with Intel's icc 11.0 and MKL.
+#
+#      CC=icc
+#      CFLAGS=-O3 -m64 -openmp -DBIT64 -DUSEOPENMP -DNOSHORTS -DSETNUMTHREADS
+#              -I../include
+#      LIBS=-openmp -L../lib -lsdp -mkl -lm
 #
 #  This builds the stand alone solver.
 #
 csdp: csdp.o 
-	$(CC) csdp.o $(LIBS) -o csdp
+	$(CC) $(CFLAGS) csdp.o $(LIBS) -o csdp
 #
 # To clean out the directory:
 #

=== theta/Makefile ===
#
# Uncomment this line to specify the C compiler if the system default isn't
# what you want to use.  
#
#CC=cc
#
# Use this line to specify options for the C compiler.  You'll probably
# want to turn on optimizations. You may also have to use some of the 
# following flags:
#
#  -DCAPSBLAS         if BLAS routine names are capitalized.
#  -DCAPSLAPACK       if LAPACK routine names are capitalized.
#  -DNOUNDERBLAS      if BLAS routine names have no underscore.
#  -DNOUNDERLAPACK    if LAPACK routine names have no underscore.
#  -DBIT64            For I32LP64 systems.
#  -DNOSHORTS         Allow for (LP) blocks of more than 65535 variables.
#  -DUSEOPENMP        To turn on OpenMP parallelization
#  -DSETNUMTHREADS    To use with an OpenMP aware BLAS library.
#
# The default settings for gcc:
#
CFLAGS=-O3 -ansi -Wall -DNOSHORTS -I../include 
#
# Notes on CFLAGS.
#
# 1. The -DNOSHORTS flag should always be used.  When this is turned off,
# it causes the code to use unsigned short integers (maximum value 65535)
# in the data structures that describe the problem.  This can cause problems
# when some of the size parameters are larger than 65535.  
#
# 2. By default, we assume that BLAS routines have names like ddot_(),
# but some systems use ddot(), DDOT(), or DDOT_() instead.  A similar issue
# effects the LAPACK routines.  The flags -DCAPSBLAS, -DCAPSLAPACK, 
# -DNOUNDERBLAS. and -DNOUNDERLAPACK are used to handle such situations.
# 
# 3. The code can be built on 64 bit systems that use an I32LP64 model
# in which int's are 32 bits, long's and pointers are 64 bits.  Note that 
# that is the model on all 64 bit Linux and Unix systems that I'm aware of,
# but it is not the model used by MS in its 64 bit Windows!  To build a 
# 64 bit version of the code, use -DBIT64.  You may also need to add a CFLAG
# to tell your compiler to produce 64 bit code.  For example, with gcc, 
# you'll need to add "-m64" to CFLAGS to produce 64 bit code.  
#
# 4. If you have multiple CPU's, and if your compiler supports OpenMP, then
#    you should definitely build a parallel version of CSDP.  To do this,
#    add "-DUSEOPENMP" to CFLAGS.  If your BLAS/LAPACK library routines 
#    use OpenMP's conventions for setting the number of threads to use, then
#    you should also add "-DSETNUMTHREADS".  Note that ATLAS does not 
#    currently work with "-DSETNUMTHREADS", but you can use SETNUMTHREADS
#    on Solaris with -lsunperf and AIX systems with -lesslsmp.

# 5. Using gcc, you can greatly improve the efficency of the code if you 
# specify your processor type.  Examples are given below, use the default 
# if you are unsure.  More examples may be found at 
#
#     http://gcc.gnu.org/onlinedocs/gcc/i386-and-x86_002d64-Options.html
#
# An AMD Athlon XP  based machine:
#  CFLAGS=-march=athlon-xp -O3 -ansi -Wall -DNOSHORTS  -I../include 
# An Intel Pentum 4 based amchine:
#  CFLAGS=-march=pentum4 -O3 -ansi -Wall -DNOSHORTS -I../include 
#
# 5. If you change the CFLAGS, make sure that you use the same CFLAGS
#    in the Makefiles in the solver and theta directories!
#
# The code depends on several libraries:
#
#  sdp                The CSDP subroutine library
#  lapack             The LAPACK linear algebra library
#  blas               The BLAS basic linear algebra library
#
# In addition, if you're using gcc to compile the C code, then you'll need:
#
#  gfortran           The gnu C/Fortran 77 compatibility library (called g2c
#                     in versions of gcc before gcc 4.0.)
#  m                  The C math run time library.
#   
# Use this line to specify where the SDP and linear algebra libraries are
# to be found. 
#
# -L../lib            look in the ../lib directory
# -lsdp               get libsdp.a from the ../lib directory
# -llapack            get liblapack.a or liblapack.so 
# -lblas              get libblas.a or libblas.so
# -lgfortran          get libgfortran.a or libgfortran.so
# -lm                 get libm.a or libm.so
#
# The default settings for a Linux system with gcc3, lapack, blas, and g2c:
#
LIBS=-L../lib -lsdp -llapack -lblas -lgfortran -lm
#
# 1. Warning about debian systems.  For some absurb reason, the BLAS
# package in debian has the BLAS library named libblas-3.a, rather than
# libblas.a.  You can either modify the LIBS= line, or you can create
# a symbolic link from /usr/lib/libblas.a to /usr/lib/libblas-3.a.   
#
# 2. An alternative set of flags for use with the ATLAS BLAS on a Linux system.
#
# LIBS=-L../lib -lsdp -llapack -lf77blas -lcblas -latlas -lgfortran -lm 
#
# 3. Special note on gcc 3.  For gcc versions before gcc 4.0,  -lgfortran 
#    should be replaced by -lg2c.
#
# 4. An alternative set of flags for use with the ATLAS BLAS, gcc 4.2, and
#    OpenMP on a linux system.
#
#
# LIBS=-L../lib -lsdp -llapack -lptf77blas -lptcblas -latlas -lgomp -lrt -lpthread -lgfortran -lm
#
# 5. An alternative set of flags for use with Intel's icc and MKL.
#
#      CC=icc
#      CFLAGS=-O3 -m64 -openmp -DBIT64 -DUSEOPENMP -DNOSHORTS -DSETNUMTHREADS
#              -I../include
#      LIBS=-openmp -L../lib -lsdp -mkl -lm       
#
# Target all builds everything.
#
all: theta complement rand_graph graphtoprob
#
# This builds the theta number code. 
#
theta: theta.o 
	$(CC) $(CFLAGS) theta.o $(LIBS) -o theta
#
# Complement computes the complement of a graph.
#
complement: complement.o 
	$(CC) $(CFLAGS) complement.o $(LIBS) -o complement
#
# rand_graph generates a random graph.  
#
rand_graph: rand_graph.o
	$(CC) $(CFLAGS) rand_graph.o $(LIBS) -o rand_graph
#
# graphtoprob converts a file in the graph format to an SDP problem in our
# SDP format.
#
graphtoprob: graphtoprob.o 
	$(CC) $(CFLAGS) graphtoprob.o $(LIBS) -o graphtoprob
#
# To clean up the directory.
#
clean:
	rm -f *.o
	rm -f theta
	rm -f complement
	rm -f rand_graph
	rm -f graphtoprob

=== debian/changelog ===
coinor-csdp (6.1.1-1) unstable; urgency=low

  * New upstream version. (Closes: #576822)
    - Switch to dpkg-source 3.0 (quilt) format.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 09 Apr 2010 21:18:49 +0200

coinor-csdp (6.1.0-1) unstable; urgency=low

  * New upstream version.
    - refresh patches
  * Bump standards version (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 03 Mar 2010 12:33:43 +0100

coinor-csdp (6.0.1-2) unstable; urgency=low

  * Fix FTBS for Renesas SH(sh4) CPUs. (Closes: #560426)

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 11 Dec 2009 05:25:35 +0100

coinor-csdp (6.0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #511899)

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 12 Apr 2009 00:36:13 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .pdf

build/coinor-csdp:: debian/stamp-build-coinor-csdp
debian/stamp-build-coinor-csdp:
	$(MAKE)
	touch $@

build/coinor-csdp-doc:: debian/stamp-build-coinor-csdp-doc
debian/stamp-build-coinor-csdp-doc:
	cd doc && ( pdflatex csdpuser.tex ; bibtex csdpuser; \
		pdflatex csdpuser.tex; pdflatex csdpuser.tex )
	touch $@

install/coinor-csdp:: debian/stamp-install-coinor-csdp
debian/stamp-install-coinor-csdp:
	mkdir -p debian/coinor-csdp/usr/bin
	make install DESTDIR=debian/coinor-csdp/usr/bin/
	@# rename executables with too generic names
	mv debian/coinor-csdp/usr/bin/theta debian/coinor-csdp/usr/bin/csdp-theta
	mv debian/coinor-csdp/usr/bin/rand_graph debian/coinor-csdp/usr/bin/csdp-randgraph
	mv debian/coinor-csdp/usr/bin/graphtoprob debian/coinor-csdp/usr/bin/csdp-graphtoprob
	mv debian/coinor-csdp/usr/bin/complement debian/coinor-csdp/usr/bin/csdp-complement
	touch $@

install/coinor-csdp-doc:: debian/stamp-install-coinor-csdp-doc
debian/stamp-install-coinor-csdp-doc:
	mkdir -p debian/coinor-csdp-doc/usr/share/doc/coinor-csdp-doc/
	cp doc/csdpuser.pdf \
		debian/coinor-csdp-doc/usr/share/doc/coinor-csdp-doc/
	touch $@

get-orig-source:
	-uscan --rename --upstream-version 0
	@echo successfully retrieved upstream tarball

clean::
	$(RM) debian/stamp-*
	$(MAKE) clean
	$(RM) doc/csdpuser.pdf doc/csdpuser.log doc/csdpuser.aux doc/csdpuser.bbl doc/csdpuser.blg

=== debian/watch ===
version=3
http://www.coin-or.org/download/source/Csdp/Csdp-([\d\.]+).tgz \
		 debian debian/orig-tar.sh

## coinor-csdp 6.2.0

=== Makefile ===
#
# This Makefile can be used to automatically build the entire package.  
#
# If you make changes in the Makefile or code under any subdirectory, you can
# rebuild the system with "make clean" followed by "make all".
#
#
# You can change the C compiler by setting CC=...
#
# CC=gcc
#
# CFLAGS settings for 64 bit Linux/unix systems.
#
export CFLAGS=-m64 -march=native -mtune=native -Ofast -fopenmp -ansi -Wall -DBIT64 -DUSEOPENMP -DSETNUMTHREADS -DUSESIGTERM -DUSEGETTIME -I../include
#
# LIBS settings for 64 bit Linux/unix systems.
#
export LIBS=-static -L../lib -lsdp -llapack -lblas -lm
#
#
# On most systems, this should handle everything.
#
all:
	cd lib; make libsdp.a
	cd solver; make csdp
	cd theta; make all
	cd example; make all

#
# Perform a unitTest
#

unitTest:
	cd test; make all

#
# Install the executables in /usr/local/bin.
#

install:
	cp -f solver/csdp /usr/local/bin
	cp -f theta/theta /usr/local/bin
	cp -f theta/graphtoprob /usr/local/bin
	cp -f theta/complement /usr/local/bin
	cp -f theta/rand_graph /usr/local/bin

#
# Clean out all of the directories.
# 

clean:
	cd lib; make clean
	cd solver; make clean
	cd theta; make clean
	cd test; make clean
	cd example; make clean

=== example/Makefile ===
#
# Target all builds everything.
#
all: example
#
# This builds the example code.
#
example: example.o 
	$(CC) $(CFLAGS) example.o $(LIBS) -o example
#
# To clean up the directory.
#
clean:
	rm -f *.o
	rm -f example
	rm -f prob.dat-s
	rm -f prob.sol

=== lib/Makefile ===
#
#  Build the library.
#
libsdp.a: readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o  qreig.o tweakgap.o freeprob.o packed.o  sortentries.o
	ar cr libsdp.a  readprob.o sdp.o op_o.o psd_feas.o op_a.o op_at.o  Fnorm.o calc_pobj.o calc_dobj.o trace_prod.o zero_mat.o mat_mult.o sym_mat.o copy_mat.o addscaledmat.o  user_exit.o make_i.o allocmat.o initsoln.o initparams.o add_mat.o writesol.o readsol.o easysdp.o writeprob.o solvesys.o makefill.o mat_multsp.o norms.o linesearch.o matvec.o chol.o qreig.o tweakgap.o freeprob.o packed.o sortentries.o
#
# On some systems, you might need to add after "ar cr libsdp.a ..."
#        ranlib libsdp.a
#
#
# To clean things up.
#
clean:
	rm -f *.o
	rm -f libsdp.a

=== solver/Makefile ===
#
#  This builds the stand alone solver.
#
csdp: csdp.o 
	$(CC) $(CFLAGS) csdp.o $(LIBS) -o csdp
#
# To clean out the directory:
#
clean:
	rm -f *.o
	rm -f csdp

=== theta/Makefile ===
#
# Target all builds everything.
#
all: theta complement rand_graph graphtoprob
#
# This builds the theta number code. 
#
theta: theta.o 
	$(CC) $(CFLAGS) theta.o $(LIBS) -o theta
#
# Complement computes the complement of a graph.
#
complement: complement.o 
	$(CC) $(CFLAGS) complement.o $(LIBS) -o complement
#
# rand_graph generates a random graph.  
#
rand_graph: rand_graph.o
	$(CC) $(CFLAGS) rand_graph.o $(LIBS) -o rand_graph
#
# graphtoprob converts a file in the graph format to an SDP problem in our
# SDP format.
#
graphtoprob: graphtoprob.o 
	$(CC) $(CFLAGS) graphtoprob.o $(LIBS) -o graphtoprob
#
# To clean up the directory.
#
clean:
	rm -f *.o
	rm -f theta
	rm -f complement
	rm -f rand_graph
	rm -f graphtoprob

=== debian/changelog ===
coinor-csdp (6.2.0-4) unstable; urgency=medium

  * debian/control
    - Update Maintainer to Debian Math Team.
    - Bump Standards-Version to 4.6.0.
    - Update Vcs-* fields (debian-science -> debian-math).
  * debian/copyright
    - Update my copyright years.
  * debian/README.Debian
    - Remove note about octave helper files that no longer exist.
    - Rename from README.debian.
  * debian/rules
    - Drop override_dh_strip; contained --dbgsym-migration option, but
      the migration is now complete.
    - Stop setting DH_VERBOSE.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 07 Nov 2021 20:48:59 -0500

coinor-csdp (6.2.0-3) unstable; urgency=medium

  * Source-only upload needed for migration to testing.
  * debian/control
    - Set Multi-Arch; coinor-csdp-doc to foreign and libsdp* to same.
    - Drop libatlas-base-dev as an option for Build-Depends; the
      libcblas.so symbols have been merged into libblas.so.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 05 Jul 2020 08:51:43 -0400

coinor-csdp (6.2.0-2) unstable; urgency=medium

  * debian/coinor-csdp-doc.examples
    - Don't bother installing the example Makefile
  * debian/control
    - New Maintainer/Uploader (Closes: #645079).
    - Update Homepage.
    - Switch Vcs-* to Debian Science Team repository.
    - Bump debhelper compatibility level to 13.
    - Wrap and sort Depends and Build-Depends.
    - Add gfortran to Build-Depends; a fortran compiler is needed
      by configure when checking for blas.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
    - Drop opening article 'A' from Description.
    - Add disambiguation to short descriptions for the coinor-csdp
      and coinor-csdp-doc, which were previously identical.
    - Drop deprecated *-dbg package.
  * debian/control
    - Add stanzas for new libsdp0 and libsdp-dev packages.
  * debian/copyright
    - Reformat to DEP5.
  * debian/libsdp*.install
    - Install headers and libraries.
  * debian/libsdp0.symbols
    - New symbols file.
  * debian/not-installed
    - Tell dh_missing that we're not installing libtool's .la file.
  * debian/orig-tar.sh
    - Remove file; no longer necessary.  Most of the files that were
      removed from the tarball are no longer present in the current
      version, and we can take care of the .pdf manual using dpkg-source.
  * debian/patches/{move-headers,use-autotools}.patch
    - Apply patches from Sage. In particular, we now use autotools
      to build a dynamic library and move the header files to a new
      subdirectory.
  * debian/README.source
    - Remove file describing the use of quilt; quilt has been standard
      for some time.
  * debian/rules
    - Use all hardening flags.
    - Drop assignment of LDFLAGS.  It's a puzzle as to why this was
      being done in the first place, as they weren't actually used.
    - Switch dh_strip option from --dbg-package to --dbgsym-migration.
    - Drop dh_auto_install target; no longer necessary now that we
      use autotools for build.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/source/include-binaries
    - New file; whitelist the pre-generated .pdf manual.
  * debian/tests/control
    - Add simple smoke test for autopkgtest.
  * debian/upstream/metadata
    - New upstream metadata file.
  * debian/watch
    - Bump to version 4 and take advantage of special strings. Also
      switch from http to https.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 May 2020 01:46:38 -0400

coinor-csdp (6.2.0-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream 6.2.0.
  * Update Standards-Version to 4.4.1.
  * Update compat level to 12.
  * Remove dependency on cdbs.
  * Remove Uploader.
  * Modify the patch for Makefile.
  * Push to salsa and update Vcs.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 22 Dec 2019 23:21:48 +0000

=== debian/control ===
Source: coinor-csdp
Section: science
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               doxygen-latex,
               gfortran,
               libblas-dev,
               libgfortran5,
               libgomp1,
               liblapack-dev
Standards-Version: 4.6.0
Homepage: https://github.com/coin-or/Csdp
Vcs-Git: https://salsa.debian.org/math-team/csdp.git
Vcs-Browser: https://salsa.debian.org/math-team/csdp
Rules-Requires-Root: no

Package: coinor-csdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Software package for semidefinite programming (binaries)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the binaries.

Package: coinor-csdp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: coinor-csdp
Description: Software package for semidefinite programming (documentation)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the documentation and examples.

Package: libsdp0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Software package for semidefinite programming (library)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the dynamic library.

Package: libsdp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsdp0 (= ${binary:Version}), ${misc:Depends}
Description: Software package for semidefinite programming (development)
 CSDP is a library of routines that implements a predictor corrector variant of
 the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
 Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
 and it makes effective use of sparsity in the constraint matrices.
 .
 CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
 for Operations Research).
 .
 This package contains the static library and headers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_build:
	dh_auto_build
	cd doc && ( pdflatex csdpuser.tex ; bibtex csdpuser \
		pdflatex csdpuser.tex; pdflatex csdpuser.tex )

=== debian/tests/control ===
# ideally, we would like to actually do the comparisons as outlined in
# test/Makefile, but for now we do a simple smoke test
Test-Command: csdp-theta test/theta1.dat-s && csdp-theta test/g50 &&
  gcc example/example.c -lsdp
Depends: @, build-essential
